Delete Eval Run
curl --request DELETE \
--url https://api.pandaprobe.com/evaluations/trace-runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/evaluations/trace-runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/evaluations/trace-runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/evaluations/trace-runs/{run_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Trace Eval Runs
Delete Eval Run
Delete an eval run.
By default, only the run record is deleted (scores are preserved
with eval_run_id set to NULL via CASCADE). Pass
?delete_scores=true to also delete all scores from this run.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
DELETE
/
evaluations
/
trace-runs
/
{run_id}
Delete Eval Run
curl --request DELETE \
--url https://api.pandaprobe.com/evaluations/trace-runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/evaluations/trace-runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/evaluations/trace-runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/evaluations/trace-runs/{run_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBearerApiKeyProjectIDProjectName
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Also delete all trace scores created by this run.
Response
Successful Response

